Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 651)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 653)
@@ -24,15 +24,15 @@
 if context.isManager() or context.isStudent():
     if context.portal_type == 'AcademicsFolder':
-        return context.academics.academics_index_view()
+        return context.academics.academics_view()
     elif context.portal_type == 'Faculty':
-        return context.faculty_index_view()
+        return context.faculty_view()
     elif context.portal_type == 'Department':
-        return context.department_index_view()
+        return context.department_view()
     elif context.portal_type == 'CoursesFolder':
-        return context.courses_index_view()
+        return context.courses_view()
     elif context.portal_type == 'Certificate':
-        return context.certificate_index_view()
+        return context.certificate_view()
     elif context.portal_type == 'StudyLevel':
-        return context.level_index_view()
+        return context.level_view()
     elif context.portal_type in ('CertificateCourse','Course'):
         return context.academics_document_view()
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_index_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_index_view.pt	(revision 651)
+++ 	(revision )
@@ -1,80 +1,0 @@
-<metal:html tal:define="info context/getFacultiesInfo;
-            is_manager info/is_manager|nothing;"
-            >
-  <metal:body use-macro="here/waeup_content_master/macros/master">
-    <metal:block fill-slot="header">
-      <a href="" tal:condition="nothing"
-         tal:attributes="href string:${here/academicsParent}">
-        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-        Up one level
-      </a>
-      <h3 tal:content="here/title_or_id">
-        Page Title
-      </h3>
-    </metal:block>
-    <metal:main fill-slot="main">
-      <form action="" method="post" class="group"
-            tal:attributes="action info/action"
-            tal:define="rows python: info['items'];"
-            >
-        <span tal:condition="python: 0" tal:content="structure rows" />
-        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
-          <tr tal:repeat="row rows"
-            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td align="left" valign="middle" style="width: 5px;" 
-                tal:condition="is_manager">
-              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                     tal:condition="is_manager"
-                     tal:define="id row/id"
-                     tal:attributes="value id;
-                     id python:'cb_' + id;
-                     checked python:id in info['choosen_ids'];" 
-                     />
-            </td>
-            <td><a href="view" tal:attributes="href string:${row/url}">
-              <strong tal:content="row/title" /></a> </td>
-            <td tal:content="row/id"> </td>
-            
-            <td> 
-            <a tal:condition="row/is_editable"
-                href="edit" tal:attributes="href string:${row/url}/external_edit_form"
-                target="edit"
-                onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
-                [edit]
-                </a> 
-            </td>
-            
-          </tr>
-        </table>
-        <table width="100%" cellspacing="0" cellpadding="2"
-               summary="contents of the folder"
-               class="folderButtons">
-          <tr>
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-              <span tal:condition="is_manager">
-                <input type="button" value="button_select_all" class="context"
-                       onclick="someJavaScriptFunctionThatWillBeReplaced"
-                       i18n:attributes="value"
-                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                       />
-                <input type="submit" name="folder_delete:method" value="button_delete"
-                       class="destructive" i18n:attributes="value"
-                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       (cpsmcat('description_confirm_delete'), )" 
-                       />
-                <input tal:condition="python: context.portal_type not in ('Semester','Certificate')"
-                       type="submit" name="id_rename_form:method"
-                       class="context" value="Change Object ID" i18n:attributes="value" 
-                       />
-              </span>
-            </td>
-          </tr>
-        </table>
-      </form>
-    </metal:main>
-    
-    <metal:sub fill-slot="sub"/>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_view.pt	(revision 653)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_view.pt	(revision 653)
@@ -0,0 +1,80 @@
+<metal:html tal:define="info context/getFacultiesInfo;
+            is_manager info/is_manager|nothing;"
+            >
+  <metal:body use-macro="here/waeup_content_master/macros/master">
+    <metal:block fill-slot="header">
+      <a href="" tal:condition="nothing"
+         tal:attributes="href string:${here/academicsParent}">
+        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+        Up one level
+      </a>
+      <h3 tal:content="here/title_or_id">
+        Page Title
+      </h3>
+    </metal:block>
+    <metal:main fill-slot="main">
+      <form action="" method="post" class="group"
+            tal:attributes="action info/action"
+            tal:define="rows python: info['items'];"
+            >
+        <span tal:condition="python: 0" tal:content="structure rows" />
+        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
+          <tr tal:repeat="row rows"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+            <td align="left" valign="middle" style="width: 5px;" 
+                tal:condition="is_manager">
+              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                     tal:condition="is_manager"
+                     tal:define="id row/id"
+                     tal:attributes="value id;
+                     id python:'cb_' + id;
+                     checked python:id in info['choosen_ids'];" 
+                     />
+            </td>
+            <td><a href="view" tal:attributes="href string:${row/url}">
+              <strong tal:content="row/title" /></a> </td>
+            <td tal:content="row/id"> </td>
+            
+            <td> 
+            <a tal:condition="row/is_editable"
+                href="edit" tal:attributes="href string:${row/url}/external_edit_form"
+                target="edit"
+                onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                [edit]
+                </a> 
+            </td>
+            
+          </tr>
+        </table>
+        <table width="100%" cellspacing="0" cellpadding="2"
+               summary="contents of the folder"
+               class="folderButtons">
+          <tr>
+            <td align="left" valign="top" rowspan="3"></td>
+            <td align="left" valign="top">
+              <span tal:condition="is_manager">
+                <input type="button" value="button_select_all" class="context"
+                       onclick="someJavaScriptFunctionThatWillBeReplaced"
+                       i18n:attributes="value"
+                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                       />
+                <input type="submit" name="folder_delete:method" value="button_delete"
+                       class="destructive" i18n:attributes="value"
+                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                       (cpsmcat('description_confirm_delete'), )" 
+                       />
+                <input tal:condition="python: context.portal_type not in ('Semester','Certificate')"
+                       type="submit" name="id_rename_form:method"
+                       class="context" value="Change Object ID" i18n:attributes="value" 
+                       />
+              </span>
+            </td>
+          </tr>
+        </table>
+      </form>
+    </metal:main>
+    
+    <metal:sub fill-slot="sub"/>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/certificate_index_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/certificate_index_view.pt	(revision 651)
+++ 	(revision )
@@ -1,67 +1,0 @@
-<metal:html tal:define="info context/getCertificateInfo;
-            is_manager info/is_manager|nothing;"
-            >
-  <metal:body use-macro="here/waeup_content_master/macros/master">
-    <metal:block fill-slot="header">
-      <a href=""
-         tal:attributes="href string:${here/academicsParent}">
-        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-        Up one level
-      </a>
-      <h3 tal:content="here/title_or_id" />
-      <div tal:condition="python:0" tal:content="info/container_path"/>
-    </metal:block>
-    <metal:main fill-slot="main">
-      <span tal:omit-tag=""  
-            tal:content="structure python: info['doc'].render(layout_mode='view')" />
-      
-      <form action="" method="post" class="group"
-            tal:attributes="action info/action"
-            tal:define="rows python: info['items'];"
-            >
-        <span tal:condition="python: 0" tal:content="structure rows" />
-        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
-          <tr tal:repeat="row rows"
-            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td align="left" valign="middle" style="width: 5px;" 
-                tal:condition="is_manager">
-              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                     tal:condition="is_manager"
-                     tal:define="id row/id"
-                     tal:attributes="value id;
-                     id python:'cb_' + id;
-                     checked python:id in info['choosen_ids'];" 
-                     />
-            </td>
-            <td><a href="view" tal:attributes="href string:${row/url}">
-              <strong tal:content="row/title" /></a> </td>
-          </tr>
-        </table>
-        <table width="100%" cellspacing="0" cellpadding="2"
-               summary="contents of the folder"
-               class="folderButtons">
-          <tr>
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-              <span tal:condition="is_manager">
-                <input type="button" value="button_select_all" class="context"
-                       onclick="someJavaScriptFunctionThatWillBeReplaced"
-                       i18n:attributes="value"
-                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                       />
-                <input type="submit" name="folder_delete:method" value="button_delete"
-                       class="destructive" i18n:attributes="value"
-                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       (cpsmcat('description_confirm_delete'), )" 
-                       />
-              </span>
-            </td>
-          </tr>
-        </table>
-      </form>
-    </metal:main>
-    
-    <metal:sub fill-slot="sub"/>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.pt	(revision 653)
+++ WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.pt	(revision 653)
@@ -0,0 +1,67 @@
+<metal:html tal:define="info context/getCertificateInfo;
+            is_manager info/is_manager|nothing;"
+            >
+  <metal:body use-macro="here/waeup_content_master/macros/master">
+    <metal:block fill-slot="header">
+      <a href=""
+         tal:attributes="href string:${here/academicsParent}">
+        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+        Up one level
+      </a>
+      <h3 tal:content="here/title_or_id" />
+      <div tal:condition="python:0" tal:content="info/container_path"/>
+    </metal:block>
+    <metal:main fill-slot="main">
+      <span tal:omit-tag=""  
+            tal:content="structure python: info['doc'].render(layout_mode='view')" />
+      
+      <form action="" method="post" class="group"
+            tal:attributes="action info/action"
+            tal:define="rows python: info['items'];"
+            >
+        <span tal:condition="python: 0" tal:content="structure rows" />
+        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
+          <tr tal:repeat="row rows"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+            <td align="left" valign="middle" style="width: 5px;" 
+                tal:condition="is_manager">
+              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                     tal:condition="is_manager"
+                     tal:define="id row/id"
+                     tal:attributes="value id;
+                     id python:'cb_' + id;
+                     checked python:id in info['choosen_ids'];" 
+                     />
+            </td>
+            <td><a href="view" tal:attributes="href string:${row/url}">
+              <strong tal:content="row/title" /></a> </td>
+          </tr>
+        </table>
+        <table width="100%" cellspacing="0" cellpadding="2"
+               summary="contents of the folder"
+               class="folderButtons">
+          <tr>
+            <td align="left" valign="top" rowspan="3"></td>
+            <td align="left" valign="top">
+              <span tal:condition="is_manager">
+                <input type="button" value="button_select_all" class="context"
+                       onclick="someJavaScriptFunctionThatWillBeReplaced"
+                       i18n:attributes="value"
+                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                       />
+                <input type="submit" name="folder_delete:method" value="button_delete"
+                       class="destructive" i18n:attributes="value"
+                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                       (cpsmcat('description_confirm_delete'), )" 
+                       />
+              </span>
+            </td>
+          </tr>
+        </table>
+      </form>
+    </metal:main>
+    
+    <metal:sub fill-slot="sub"/>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/courses_index_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/courses_index_view.pt	(revision 651)
+++ 	(revision )
@@ -1,153 +1,0 @@
-<metal:html tal:define="info context/getCoursesInfo;
-            is_manager info/is_manager|nothing;"
-            >
-  <metal:body use-macro="here/waeup_content_master/macros/master">
-    <metal:block fill-slot="header">
-      <a href=""
-         tal:attributes="href string:${here/academicsParent}">
-        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-        Up one level
-      </a>
-      <h3 tal:content="here/title_or_id">
-        Page Title
-      </h3>
-      <div tal:condition="python:0" tal:content="info/container_path"/>
-      <div tal:condition="python:0" tal:content="info/dep_id"/>
-    </metal:block>
-    <metal:main fill-slot="main" tal:condition="python: 1">
-      <span tal:content="structure python: info['doc'].render(layout_mode='view')" 
-            tal:omit-tag=""/>
-        <span tal:define="items python: info['courses'];
-        columns python:3;
-        items_per_page python:50;
-        zoom python:0;
-        batches_all python:here.getBatchList(items,columns, items_per_page,zoom,max_items=400);
-        batches python:batches_all[0];
-        batch_info python:batches_all[1];
-        zoomed python:batches_all[2];
-        mq nocall:modules/ZTUtils/make_query;"
-        tal:omit-tag=""
-        >
-          <form action="" method="post" class="group"
-                tal:attributes="action info/action"
-                >
-            <tal:block tal:condition="python: batch_info and batch_info['nb_pages'] > 1">
-              <div class="batchLayout">
-                <span i18n:translate="">
-                  Objects: 
-                  <strong>
-                    <tal:block replace="batch_info/start"
-                               i18n:name="batch_start" /> - <tal:block replace="batch_info/limit"
-                                                                       i18n:name="batch_limit" />
-                  </strong>
-                  of <tal:block replace="batch_info/length"
-                                i18n:name="batch_length" />
-                </span>
-              </div>
-              <br />
-            </tal:block>
-            <span tal:condition="python: 0" tal:content="structure rows" />
-            <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
-            <span tal:repeat="rows batches" tal:omit-tag="">
-              <tr tal:repeat="row rows"
-                  tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-                <td align="left" valign="middle" style="width: 5px;" 
-                    tal:condition="is_manager">
-                  <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                         tal:condition="is_manager"
-                         tal:define="id row/id"
-                         tal:attributes="value id;
-                         id python:'cb_' + id;
-                         checked python:id in info['choosen_ids'];" 
-                         />
-                </td>
-                <td><a href="view" tal:attributes="href string:${row/url}">
-                    <strong tal:content="row/title" /></a> </td>
-                <td tal:content="row/id"> </td>
-                <td tal:condition="row/is_editable" tal:content="row/review_state"> </td>
-                <td> 
-                <a tal:condition="row/is_editable"
-                    href="edit" tal:attributes="href string:${row/url}/external_edit_form"
-                    target="edit"
-                    onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
-                    [edit]
-                    </a> 
-                </td>                
-              </tr>
-            </span>
-            </table>
-            <table width="100%" cellspacing="0" cellpadding="2"
-                   summary="contents of the folder"
-                   class="folderButtons">
-              <tr>
-                <td align="left" valign="top" rowspan="3"></td>
-                <td align="left" valign="top">
-                  <span tal:condition="is_manager">
-                    <input type="button" value="button_select_all" class="context"
-                           onclick="someJavaScriptFunctionThatWillBeReplaced"
-                           i18n:attributes="value"
-                           tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                           % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                           />
-                    <input type="submit" name="approve_checked:method"
-                           class="context" value="Approve" />
-                    <input type="submit" name="retract_checked:method"
-                           class="context" value="Retract" />
-                    <input type="submit" name="folder_delete:method" value="button_delete"
-                           class="destructive" i18n:attributes="value"
-                           tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                           (cpsmcat('description_confirm_delete'), )" 
-                           />
-                    <input tal:condition="python: context.portal_type not in ('Semester','Certificate')"
-                           type="submit" name="id_rename_form:method"
-                           class="context" value="Change Object ID" i18n:attributes="value" 
-                           />
-                  </span>
-                </td>
-              </tr>
-            </table>
-          <tal:block condition="python:batch_info and batch_info['nb_pages'] > 1">
-            <div class="pageNavigationLayout">
-              <a tal:define="previous batch_info/previous"
-                 tal:condition="python:previous is not None"
-                 tal:attributes="href python:'%s?%s'%(request['URL'],
-                 mq(request.form, b_start=0))"
-                 >
-              (&lt;&lt;)</a>
-              <a tal:define="previous batch_info/previous"
-                 tal:condition="python:previous is not None"
-                 tal:attributes="href python:'%s?%s'%(request['URL'],
-                 mq(request.form, b_start=previous))"
-                 i18n:translate="batch_previous">Previous</a>
-              <tal:block repeat="page batch_info/pages">
-                <tal:block condition="python:page != batch_info['start'] - 1">
-                  <a tal:attributes="href python:'%s?%s'%(request['URL'],
-                  mq(request.form, b_start=page))"
-                  tal:content="repeat/page/number">1</a>&nbsp;
-                </tal:block>
-                <tal:block condition="python:page == batch_info['start'] - 1">
-                  <span tal:content="string:${repeat/page/number}" />&nbsp;
-                </tal:block>
-              </tal:block>
-              <a tal:define="next batch_info/next"
-                 tal:condition="python:next is not None"
-                 tal:attributes="href python:'%s?%s'%(request['URL'],
-                 mq(request.form, b_start=next))"
-                 i18n:translate="batch_next">Next</a>
-              <a tal:define="next batch_info/next;
-                             last_page python:batch_info['pages'][-1]"
-                             tal:condition="python:next is not None"
-                             tal:attributes="href python:'%s?%s'%(request['URL'],
-                             mq(request.form, b_start=last_page))"
-                             >
-              (&gt;&gt;)</a>
-            </div>
-          </tal:block>
-          
-        </form>
-        </span>
-      </metal:main>
-      
-    <metal:sub fill-slot="sub"/>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/courses_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/courses_view.pt	(revision 653)
+++ WAeUP_SRP/trunk/skins/waeup_academics/courses_view.pt	(revision 653)
@@ -0,0 +1,153 @@
+<metal:html tal:define="info context/getCoursesInfo;
+            is_manager info/is_manager|nothing;"
+            >
+  <metal:body use-macro="here/waeup_content_master/macros/master">
+    <metal:block fill-slot="header">
+      <a href=""
+         tal:attributes="href string:${here/academicsParent}">
+        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+        Up one level
+      </a>
+      <h3 tal:content="here/title_or_id">
+        Page Title
+      </h3>
+      <div tal:condition="python:0" tal:content="info/container_path"/>
+      <div tal:condition="python:0" tal:content="info/dep_id"/>
+    </metal:block>
+    <metal:main fill-slot="main" tal:condition="python: 1">
+      <span tal:content="structure python: info['doc'].render(layout_mode='view')" 
+            tal:omit-tag=""/>
+        <span tal:define="items python: info['courses'];
+        columns python:3;
+        items_per_page python:50;
+        zoom python:0;
+        batches_all python:here.getBatchList(items,columns, items_per_page,zoom,max_items=400);
+        batches python:batches_all[0];
+        batch_info python:batches_all[1];
+        zoomed python:batches_all[2];
+        mq nocall:modules/ZTUtils/make_query;"
+        tal:omit-tag=""
+        >
+          <form action="" method="post" class="group"
+                tal:attributes="action info/action"
+                >
+            <tal:block tal:condition="python: batch_info and batch_info['nb_pages'] > 1">
+              <div class="batchLayout">
+                <span i18n:translate="">
+                  Objects: 
+                  <strong>
+                    <tal:block replace="batch_info/start"
+                               i18n:name="batch_start" /> - <tal:block replace="batch_info/limit"
+                                                                       i18n:name="batch_limit" />
+                  </strong>
+                  of <tal:block replace="batch_info/length"
+                                i18n:name="batch_length" />
+                </span>
+              </div>
+              <br />
+            </tal:block>
+            <span tal:condition="python: 0" tal:content="structure rows" />
+            <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
+            <span tal:repeat="rows batches" tal:omit-tag="">
+              <tr tal:repeat="row rows"
+                  tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+                <td align="left" valign="middle" style="width: 5px;" 
+                    tal:condition="is_manager">
+                  <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                         tal:condition="is_manager"
+                         tal:define="id row/id"
+                         tal:attributes="value id;
+                         id python:'cb_' + id;
+                         checked python:id in info['choosen_ids'];" 
+                         />
+                </td>
+                <td><a href="view" tal:attributes="href string:${row/url}">
+                    <strong tal:content="row/title" /></a> </td>
+                <td tal:content="row/id"> </td>
+                <td tal:condition="row/is_editable" tal:content="row/review_state"> </td>
+                <td> 
+                <a tal:condition="row/is_editable"
+                    href="edit" tal:attributes="href string:${row/url}/external_edit_form"
+                    target="edit"
+                    onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                    [edit]
+                    </a> 
+                </td>                
+              </tr>
+            </span>
+            </table>
+            <table width="100%" cellspacing="0" cellpadding="2"
+                   summary="contents of the folder"
+                   class="folderButtons">
+              <tr>
+                <td align="left" valign="top" rowspan="3"></td>
+                <td align="left" valign="top">
+                  <span tal:condition="is_manager">
+                    <input type="button" value="button_select_all" class="context"
+                           onclick="someJavaScriptFunctionThatWillBeReplaced"
+                           i18n:attributes="value"
+                           tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                           % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                           />
+                    <input type="submit" name="approve_checked:method"
+                           class="context" value="Approve" />
+                    <input type="submit" name="retract_checked:method"
+                           class="context" value="Retract" />
+                    <input type="submit" name="folder_delete:method" value="button_delete"
+                           class="destructive" i18n:attributes="value"
+                           tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                           (cpsmcat('description_confirm_delete'), )" 
+                           />
+                    <input tal:condition="python: context.portal_type not in ('Semester','Certificate')"
+                           type="submit" name="id_rename_form:method"
+                           class="context" value="Change Object ID" i18n:attributes="value" 
+                           />
+                  </span>
+                </td>
+              </tr>
+            </table>
+          <tal:block condition="python:batch_info and batch_info['nb_pages'] > 1">
+            <div class="pageNavigationLayout">
+              <a tal:define="previous batch_info/previous"
+                 tal:condition="python:previous is not None"
+                 tal:attributes="href python:'%s?%s'%(request['URL'],
+                 mq(request.form, b_start=0))"
+                 >
+              (&lt;&lt;)</a>
+              <a tal:define="previous batch_info/previous"
+                 tal:condition="python:previous is not None"
+                 tal:attributes="href python:'%s?%s'%(request['URL'],
+                 mq(request.form, b_start=previous))"
+                 i18n:translate="batch_previous">Previous</a>
+              <tal:block repeat="page batch_info/pages">
+                <tal:block condition="python:page != batch_info['start'] - 1">
+                  <a tal:attributes="href python:'%s?%s'%(request['URL'],
+                  mq(request.form, b_start=page))"
+                  tal:content="repeat/page/number">1</a>&nbsp;
+                </tal:block>
+                <tal:block condition="python:page == batch_info['start'] - 1">
+                  <span tal:content="string:${repeat/page/number}" />&nbsp;
+                </tal:block>
+              </tal:block>
+              <a tal:define="next batch_info/next"
+                 tal:condition="python:next is not None"
+                 tal:attributes="href python:'%s?%s'%(request['URL'],
+                 mq(request.form, b_start=next))"
+                 i18n:translate="batch_next">Next</a>
+              <a tal:define="next batch_info/next;
+                             last_page python:batch_info['pages'][-1]"
+                             tal:condition="python:next is not None"
+                             tal:attributes="href python:'%s?%s'%(request['URL'],
+                             mq(request.form, b_start=last_page))"
+                             >
+              (&gt;&gt;)</a>
+            </div>
+          </tal:block>
+          
+        </form>
+        </span>
+      </metal:main>
+      
+    <metal:sub fill-slot="sub"/>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/department_index_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/department_index_view.pt	(revision 651)
+++ 	(revision )
@@ -1,75 +1,0 @@
-<metal:html tal:define="info context/getCoursesCertificatesInfo;
-            is_manager info/is_manager|nothing;"
-            >
-  <metal:body use-macro="here/waeup_content_master/macros/master">
-    <metal:block fill-slot="header">
-      <a href=""
-         tal:attributes="href string:${here/academicsParent}">
-        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-        Up one level
-      </a>
-      <h3 tal:content="here/title_or_id" />
-      <div tal:condition="nothing" tal:content="info/container_path"/>
-    </metal:block>
-    <metal:main fill-slot="main">
-      <span tal:omit-tag=""  
-            tal:content="structure python: info['doc'].render(layout_mode='view')" />
-      
-      <form action="" method="post" class="group"
-            tal:attributes="action info/action"
-            tal:define="certs python: info['certificates'];"
-            >
-        <span tal:condition="python: 0" tal:content="structure rows" />
-        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
-          <tr class="even ajaxtd">
-            <th colspan="4"><a href="view" tal:attributes="href string:${context/absolute_url}/courses">
-              Courses</a> </th>
-          </tr>
-          <tr class="even ajaxtd">
-            <th colspan="4"><a href="view" tal:attributes="href string:${context/absolute_url}/certificates">
-             Certificates </a> </th>
-          </tr>
-          <tr tal:repeat="row certs"
-            tal:attributes="class python:test(repeat['row'].odd(), 'even ajaxtd', 'odd ajaxtd')">
-            <td  align="left" valign="middle" style="width: 5px;">
-            </td>
-            <td><a href="view" tal:attributes="href string:${row/url}">
-              <span tal:content="row/title" /></a> </td>
-            <td tal:content="row/id"> </td>
-          </tr>
-        </table>
-        <table tal:condition="nothing" width="100%" cellspacing="0" cellpadding="2"
-               class="folderButtons">
-          <tr>
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-              <span tal:condition="is_manager">
-                <input type="button" value="button_select_all" class="context"
-                       onclick="someJavaScriptFunctionThatWillBeReplaced"
-                       i18n:attributes="value"
-                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                       />
-                <input type="submit" name="approve_checked:method"
-                       class="context" value="Approve" />
-                <input type="submit" name="retract_checked:method"
-                       class="context" value="Retract" />
-                <input type="submit" name="folder_delete:method" value="button_delete"
-                       class="destructive" i18n:attributes="value"
-                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       (cpsmcat('description_confirm_delete'), )" 
-                       />
-                <input tal:condition="python: context.portal_type not in ('Semester','Certificate')"
-                       type="submit" name="id_rename_form:method"
-                       class="context" value="Change Object ID" i18n:attributes="value" 
-                       />
-              </span>
-            </td>
-          </tr>
-        </table>
-      </form>
-    </metal:main>
-    
-    <metal:sub fill-slot="sub"/>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/department_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/department_view.pt	(revision 653)
+++ WAeUP_SRP/trunk/skins/waeup_academics/department_view.pt	(revision 653)
@@ -0,0 +1,75 @@
+<metal:html tal:define="info context/getCoursesCertificatesInfo;
+            is_manager info/is_manager|nothing;"
+            >
+  <metal:body use-macro="here/waeup_content_master/macros/master">
+    <metal:block fill-slot="header">
+      <a href=""
+         tal:attributes="href string:${here/academicsParent}">
+        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+        Up one level
+      </a>
+      <h3 tal:content="here/title_or_id" />
+      <div tal:condition="nothing" tal:content="info/container_path"/>
+    </metal:block>
+    <metal:main fill-slot="main">
+      <span tal:omit-tag=""  
+            tal:content="structure python: info['doc'].render(layout_mode='view')" />
+      
+      <form action="" method="post" class="group"
+            tal:attributes="action info/action"
+            tal:define="certs python: info['certificates'];"
+            >
+        <span tal:condition="python: 0" tal:content="structure rows" />
+        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
+          <tr class="even ajaxtd">
+            <th colspan="4"><a href="view" tal:attributes="href string:${context/absolute_url}/courses">
+              Courses</a> </th>
+          </tr>
+          <tr class="even ajaxtd">
+            <th colspan="4"><a href="view" tal:attributes="href string:${context/absolute_url}/certificates">
+             Certificates </a> </th>
+          </tr>
+          <tr tal:repeat="row certs"
+            tal:attributes="class python:test(repeat['row'].odd(), 'even ajaxtd', 'odd ajaxtd')">
+            <td  align="left" valign="middle" style="width: 5px;">
+            </td>
+            <td><a href="view" tal:attributes="href string:${row/url}">
+              <span tal:content="row/title" /></a> </td>
+            <td tal:content="row/id"> </td>
+          </tr>
+        </table>
+        <table tal:condition="nothing" width="100%" cellspacing="0" cellpadding="2"
+               class="folderButtons">
+          <tr>
+            <td align="left" valign="top" rowspan="3"></td>
+            <td align="left" valign="top">
+              <span tal:condition="is_manager">
+                <input type="button" value="button_select_all" class="context"
+                       onclick="someJavaScriptFunctionThatWillBeReplaced"
+                       i18n:attributes="value"
+                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                       />
+                <input type="submit" name="approve_checked:method"
+                       class="context" value="Approve" />
+                <input type="submit" name="retract_checked:method"
+                       class="context" value="Retract" />
+                <input type="submit" name="folder_delete:method" value="button_delete"
+                       class="destructive" i18n:attributes="value"
+                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                       (cpsmcat('description_confirm_delete'), )" 
+                       />
+                <input tal:condition="python: context.portal_type not in ('Semester','Certificate')"
+                       type="submit" name="id_rename_form:method"
+                       class="context" value="Change Object ID" i18n:attributes="value" 
+                       />
+              </span>
+            </td>
+          </tr>
+        </table>
+      </form>
+    </metal:main>
+    
+    <metal:sub fill-slot="sub"/>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/faculty_index_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/faculty_index_view.pt	(revision 651)
+++ 	(revision )
@@ -1,82 +1,0 @@
-<metal:html tal:define="info context/getDepartmentsInfo;
-            is_manager info/is_manager|nothing;"
-            >
-  <metal:body use-macro="here/waeup_content_master/macros/master">
-    <metal:block fill-slot="header">
-      <a href=""
-         tal:attributes="href string:${here/academicsParent}">
-        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-        Up one level
-      </a>
-      <h3 tal:content="here/title_or_id" />
-      <div tal:condition="python:0" tal:content="info/container_path"/>
-    </metal:block>
-    <metal:main fill-slot="main">
-      <span tal:omit-tag=""  
-            tal:content="structure python: info['doc'].render(layout_mode='view')" />
-      
-      <form action="" method="post" class="group"
-            tal:attributes="action info/action"
-            tal:define="rows python: info['items'];"
-            >
-        <span tal:condition="python: 0" tal:content="structure rows" />
-        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
-          <tr tal:repeat="row rows"
-            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td align="left" valign="middle" style="width: 5px;" 
-                tal:condition="is_manager">
-              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                     tal:condition="is_manager"
-                     tal:define="id row/id"
-                     tal:attributes="value id;
-                     id python:'cb_' + id;
-                     checked python:id in info['choosen_ids'];" 
-                     />
-            </td>
-            <td><a href="view" tal:attributes="href string:${row/url}">
-              <strong tal:content="row/title" /></a> </td>
-            <td tal:content="row/id"> </td>
-
-            <td> 
-            <a tal:condition="row/is_editable"
-                href="edit" tal:attributes="href string:${row/url}/external_edit_form"
-                target="edit"
-                onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
-                [edit]
-                </a> 
-            </td>
-
-          </tr>
-        </table>
-        <table width="100%" cellspacing="0" cellpadding="2"
-               summary="contents of the folder"
-               class="folderButtons">
-          <tr>
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-              <span tal:condition="is_manager">
-                <input type="button" value="button_select_all" class="context"
-                       onclick="someJavaScriptFunctionThatWillBeReplaced"
-                       i18n:attributes="value"
-                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                       />
-                <input type="submit" name="folder_delete:method" value="button_delete"
-                       class="destructive" i18n:attributes="value"
-                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       (cpsmcat('description_confirm_delete'), )" 
-                       />
-                <input tal:condition="python: context.portal_type not in ('Semester','Certificate')"
-                       type="submit" name="id_rename_form:method"
-                       class="context" value="Change Object ID" i18n:attributes="value" 
-                       />
-              </span>
-            </td>
-          </tr>
-        </table>
-      </form>
-    </metal:main>
-    
-    <metal:sub fill-slot="sub"/>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/faculty_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/faculty_view.pt	(revision 653)
+++ WAeUP_SRP/trunk/skins/waeup_academics/faculty_view.pt	(revision 653)
@@ -0,0 +1,82 @@
+<metal:html tal:define="info context/getDepartmentsInfo;
+            is_manager info/is_manager|nothing;"
+            >
+  <metal:body use-macro="here/waeup_content_master/macros/master">
+    <metal:block fill-slot="header">
+      <a href=""
+         tal:attributes="href string:${here/academicsParent}">
+        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+        Up one level
+      </a>
+      <h3 tal:content="here/title_or_id" />
+      <div tal:condition="python:0" tal:content="info/container_path"/>
+    </metal:block>
+    <metal:main fill-slot="main">
+      <span tal:omit-tag=""  
+            tal:content="structure python: info['doc'].render(layout_mode='view')" />
+      
+      <form action="" method="post" class="group"
+            tal:attributes="action info/action"
+            tal:define="rows python: info['items'];"
+            >
+        <span tal:condition="python: 0" tal:content="structure rows" />
+        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
+          <tr tal:repeat="row rows"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+            <td align="left" valign="middle" style="width: 5px;" 
+                tal:condition="is_manager">
+              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                     tal:condition="is_manager"
+                     tal:define="id row/id"
+                     tal:attributes="value id;
+                     id python:'cb_' + id;
+                     checked python:id in info['choosen_ids'];" 
+                     />
+            </td>
+            <td><a href="view" tal:attributes="href string:${row/url}">
+              <strong tal:content="row/title" /></a> </td>
+            <td tal:content="row/id"> </td>
+
+            <td> 
+            <a tal:condition="row/is_editable"
+                href="edit" tal:attributes="href string:${row/url}/external_edit_form"
+                target="edit"
+                onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                [edit]
+                </a> 
+            </td>
+
+          </tr>
+        </table>
+        <table width="100%" cellspacing="0" cellpadding="2"
+               summary="contents of the folder"
+               class="folderButtons">
+          <tr>
+            <td align="left" valign="top" rowspan="3"></td>
+            <td align="left" valign="top">
+              <span tal:condition="is_manager">
+                <input type="button" value="button_select_all" class="context"
+                       onclick="someJavaScriptFunctionThatWillBeReplaced"
+                       i18n:attributes="value"
+                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                       />
+                <input type="submit" name="folder_delete:method" value="button_delete"
+                       class="destructive" i18n:attributes="value"
+                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                       (cpsmcat('description_confirm_delete'), )" 
+                       />
+                <input tal:condition="python: context.portal_type not in ('Semester','Certificate')"
+                       type="submit" name="id_rename_form:method"
+                       class="context" value="Change Object ID" i18n:attributes="value" 
+                       />
+              </span>
+            </td>
+          </tr>
+        </table>
+      </form>
+    </metal:main>
+    
+    <metal:sub fill-slot="sub"/>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py	(revision 651)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py	(revision 653)
@@ -20,5 +20,5 @@
 info['is_manager'] = context.isManager()
 info['is_student'] = context.isStudent()
-info['action'] = "%s/faculty_index_view" % context.absolute_url()
+info['action'] = "%s/faculty_view" % context.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
 info['doc'] = context.getContent()
Index: WAeUP_SRP/trunk/skins/waeup_academics/level_index_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/level_index_view.pt	(revision 651)
+++ 	(revision )
@@ -1,88 +1,0 @@
-<metal:html tal:define="info context/getLevelInfo;
-            is_manager info/is_manager|nothing;"
-            >
-  <metal:body use-macro="here/waeup_content_master/macros/master">
-    <metal:block fill-slot="header">
-      <a href=""
-         tal:attributes="href string:${here/academicsParent}">
-        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-        Up one level
-      </a>
-      <h3 tal:content="here/title_or_id" />
-      <div tal:condition="python:0" tal:content="info/container_path"/>
-      <div tal:condition="python:0" tal:content="info/dep_id"/>
-      <div tal:condition="python:0" tal:content="info/cert_id"/>
-    </metal:block>
-    <metal:main fill-slot="main" tal:condition="python:1">
-      <span tal:omit-tag=""  
-            tal:content="structure python: info['doc'].render(layout_mode='view')" />
-      
-      <form action="" method="post" class="group"
-            tal:attributes="action info/action"
-            >
-        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
-          <span tal:repeat="sem python:('first','second')">
-            <tr><th colspan="3" tal:content="python: test(sem == 'first','First Semester', 'Second Semester')" />
-            <tr tal:repeat="row python: info[sem]"
-                tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-              <td align="left" valign="middle" style="width: 5px;" 
-                  tal:condition="is_manager">
-                <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                       tal:condition="is_manager"
-                       tal:define="id row/id"
-                       tal:attributes="value id;
-                       id python:'cb_' + id;
-                       checked python:id in info['choosen_ids'];" 
-                       />
-                </td>
-                <td><a href="view" tal:attributes="href string:${row/url}">
-                    <strong tal:content="row/title" /></a> </td>
-                <td tal:content="row/id"></td>
-                <td tal:content="python: test(row['core'],'core','elective')"></td>
-                <td tal:condition="row/is_editable" tal:content="row/review_state"> </td>
-                <td> 
-                <a tal:condition="row/is_editable"
-                    href="edit" tal:attributes="href string:${row/url}/external_edit_form"
-                    target="edit"
-                    onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
-                    [edit]
-                    </a> 
-                </td>
-              </tr>
-            </span>
-          </table>
-        <table width="100%" cellspacing="0" cellpadding="2"
-               class="folderButtons">
-          <tr>
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-              <span tal:condition="is_manager">
-                <input type="button" value="button_select_all" class="context"
-                       onclick="someJavaScriptFunctionThatWillBeReplaced"
-                       i18n:attributes="value"
-                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                       />
-                <input type="submit" name="approve_checked:method"
-                       class="context" value="Approve" />
-                <input type="submit" name="retract_checked:method"
-                       class="context" value="Retract" />
-                <input type="submit" name="folder_delete:method" value="button_delete"
-                       class="destructive" i18n:attributes="value"
-                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       (cpsmcat('description_confirm_delete'), )" 
-                       />
-                <input tal:condition="python: context.portal_type not in ('Semester','Certificate')"
-                       type="submit" name="id_rename_form:method"
-                       class="context" value="Change Object ID" i18n:attributes="value" 
-                       />
-              </span>
-            </td>
-          </tr>
-        </table>
-      </form>
-    </metal:main>
-    
-    <metal:sub fill-slot="sub"/>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/level_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/level_view.pt	(revision 653)
+++ WAeUP_SRP/trunk/skins/waeup_academics/level_view.pt	(revision 653)
@@ -0,0 +1,88 @@
+<metal:html tal:define="info context/getLevelInfo;
+            is_manager info/is_manager|nothing;"
+            >
+  <metal:body use-macro="here/waeup_content_master/macros/master">
+    <metal:block fill-slot="header">
+      <a href=""
+         tal:attributes="href string:${here/academicsParent}">
+        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+        Up one level
+      </a>
+      <h3 tal:content="here/title_or_id" />
+      <div tal:condition="python:0" tal:content="info/container_path"/>
+      <div tal:condition="python:0" tal:content="info/dep_id"/>
+      <div tal:condition="python:0" tal:content="info/cert_id"/>
+    </metal:block>
+    <metal:main fill-slot="main" tal:condition="python:1">
+      <span tal:omit-tag=""  
+            tal:content="structure python: info['doc'].render(layout_mode='view')" />
+      
+      <form action="" method="post" class="group"
+            tal:attributes="action info/action"
+            >
+        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
+          <span tal:repeat="sem python:('first','second')">
+            <tr><th colspan="3" tal:content="python: test(sem == 'first','First Semester', 'Second Semester')" />
+            <tr tal:repeat="row python: info[sem]"
+                tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+              <td align="left" valign="middle" style="width: 5px;" 
+                  tal:condition="is_manager">
+                <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                       tal:condition="is_manager"
+                       tal:define="id row/id"
+                       tal:attributes="value id;
+                       id python:'cb_' + id;
+                       checked python:id in info['choosen_ids'];" 
+                       />
+                </td>
+                <td><a href="view" tal:attributes="href string:${row/url}">
+                    <strong tal:content="row/title" /></a> </td>
+                <td tal:content="row/id"></td>
+                <td tal:content="python: test(row['core'],'core','elective')"></td>
+                <td tal:condition="row/is_editable" tal:content="row/review_state"> </td>
+                <td> 
+                <a tal:condition="row/is_editable"
+                    href="edit" tal:attributes="href string:${row/url}/external_edit_form"
+                    target="edit"
+                    onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                    [edit]
+                    </a> 
+                </td>
+              </tr>
+            </span>
+          </table>
+        <table width="100%" cellspacing="0" cellpadding="2"
+               class="folderButtons">
+          <tr>
+            <td align="left" valign="top" rowspan="3"></td>
+            <td align="left" valign="top">
+              <span tal:condition="is_manager">
+                <input type="button" value="button_select_all" class="context"
+                       onclick="someJavaScriptFunctionThatWillBeReplaced"
+                       i18n:attributes="value"
+                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                       />
+                <input type="submit" name="approve_checked:method"
+                       class="context" value="Approve" />
+                <input type="submit" name="retract_checked:method"
+                       class="context" value="Retract" />
+                <input type="submit" name="folder_delete:method" value="button_delete"
+                       class="destructive" i18n:attributes="value"
+                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                       (cpsmcat('description_confirm_delete'), )" 
+                       />
+                <input tal:condition="python: context.portal_type not in ('Semester','Certificate')"
+                       type="submit" name="id_rename_form:method"
+                       class="context" value="Change Object ID" i18n:attributes="value" 
+                       />
+              </span>
+            </td>
+          </tr>
+        </table>
+      </form>
+    </metal:main>
+    
+    <metal:sub fill-slot="sub"/>
+  </metal:body>
+</metal:html>
